﻿<table>
    <tr>
        <td style="width: 60px;">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Username";
                    //l.Width = 100;
                
                }

            ).GetHtml()

        </td>
        
        <td>
            @Html.DevExpress().TextBox(
                l =>
                {
                  //  l.Width = 150;
                    l.Name = "txtUsername";
                }

            ).GetHtml()



        </td>

        <td style="width: 60px;"></td>
        <td>
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Name";
                    l.Width = 37;
                }

            ).GetHtml()




        </td>
        <td>
             @Html.DevExpress().TextBox(
                l =>
                {
                    l.Width = 150;
                    l.Name = "txtName";
                }

            ).GetHtml()



        </td>
        <td style="width: 40px;"></td>
        <td style="width: 58px;">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Company";
                    l.Width = 50;
                }

            ).GetHtml()

        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlCompany";
                    sett.GridProperties.KeyFieldName = "COMPANY_NAME";
                    sett.Width = 150;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getCompanyData"};
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtCompanyID";
                              l.FieldName = "COMPANY_ID";
                              l.Caption = "Company ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtCompanyName";
                            l.FieldName = "COMPANY_NAME";
                            l.Caption = "Company Name";
                        }
                        );
                
                }
            ).Bind(ViewData["CompanyData"]).GetHtml()

        </td>



    </tr>

    <tr style="height: 5px;">
    </tr>
    <tr style="vertical-align: top;">
        <td style="width: 60px; vertical-align:middle;">
            @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "Upload";
                  //  l.Width = 40;
                }
            ).GetHtml()
        </td>
        <td>
            @using (Html.BeginForm("DownloadCallback", "UserMaintenance", FormMethod.Post, new { enctype = "multipart/form-data" }))
            { 
            @Html.DevExpress().UploadControl(u =>
                           {
                               u.Name = "UMUpload";
                               u.BrowseButton.Text = "Browse";
                               u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                               u.ShowAddRemoveButtons = false;
                               //u.Width = Unit.Pixel(355);

                               u.ValidationSettings.MaxFileSize = 10000000;
                               u.ValidationSettings.AllowedFileExtensions = new string[] { ".xls" };
                               u.ValidationSettings.ShowErrors = true;

                               u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                               u.ValidationSettings.NotAllowedFileExtensionErrorText = "PrCSV only";

                               u.CallbackRouteValues = new { Controller = "UserMaintenance", Action = "OnUploadCallbackRouteValues" };
                               
                               u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";
                               //u.ClientSideEvents.Init = "OnUploadInit";
                               u.ShowProgressPanel = false;
                              
                           }).GetHtml()
            } 
            
        </td>
        <td>
            @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnUpload";
                            setting.Text = "Upload";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "upload";
                        }
                        ).GetHtml()

        </td>
        <td>
            
        </td>
        <td></td>
        <td></td>
        <td></td>
        <td>
            <div style="background-color: red; width: 150px;">
                <div style="float: right;">
                    @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnSearch";
                            setting.Text = "Search";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "searchData";
                        }

                    ).GetHtml()


                     @Html.DevExpress().Button(
                        setting =>
                        {
                            setting.Name = "btnClear";
                            setting.Text = "Clear";
                            setting.UseSubmitBehavior = true;
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "clearData";
                        }

                    ).GetHtml()
                </div>
            </div>
            


           

     



        </td>



    </tr>






</table>
<table>
<tr style ="vertical-align: bottom;">
<td style="width: 60px;"></td>
<td >
             @Html.DevExpress().HyperLink(
                            Lnk =>
                            {
                                Lnk.Name = "LnkDownloadTemplate";
                                Lnk.Properties.Text = "Download Template";
                                Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                Lnk.Properties.Style.Font.Underline = true;
                                Lnk.ControlStyle.Cursor = "pointer";
                                Lnk.Properties.ClientSideEvents.Click = "OnClickDownloadTemplate";
                            }
                        ).GetHtml()
            
        </td>
</tr>
</table>